Bug 1651708 - [osp14] Deployment Command Options and missing multiple parameters
Summary: [osp14] Deployment Command Options and missing multiple parameters
Keywords:
Status: NEW
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: RHOS Documentation Team
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-20 15:59 UTC by mlammon
Modified: 2020-02-14 05:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description mlammon 2018-11-20 15:59:02 UTC
Description of problem:

This below should be reviewed against the current osp 14 doc
https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/14-beta/

Installed 
osp14 output as of 14   -p 2018-11-13.1

review 6.10 Deployment Command Options

Deployment Command Options and missing multiple parameters.  This section needs review and updated.

For example, just to name a few and many more
--overcloud-ssh-user
--overcloud-ssh-key
--overcloud-ssh-network
--environment-file



openstack help overcloud deploy
usage: openstack overcloud deploy [--templates [TEMPLATES]] [--stack STACK]
                                  [--timeout <TIMEOUT>]
                                  [--control-scale CONTROL_SCALE]
                                  [--compute-scale COMPUTE_SCALE]
                                  [--ceph-storage-scale CEPH_STORAGE_SCALE]
                                  [--block-storage-scale BLOCK_STORAGE_SCALE]
                                  [--swift-storage-scale SWIFT_STORAGE_SCALE]
                                  [--control-flavor CONTROL_FLAVOR]
                                  [--compute-flavor COMPUTE_FLAVOR]
                                  [--ceph-storage-flavor CEPH_STORAGE_FLAVOR]
                                  [--block-storage-flavor BLOCK_STORAGE_FLAVOR]
                                  [--swift-storage-flavor SWIFT_STORAGE_FLAVOR]
                                  [--libvirt-type {kvm,qemu}]
                                  [--ntp-server NTP_SERVER]
                                  [--no-proxy NO_PROXY]
                                  [--overcloud-ssh-user OVERCLOUD_SSH_USER]
                                  [--overcloud-ssh-key OVERCLOUD_SSH_KEY]
                                  [--overcloud-ssh-network OVERCLOUD_SSH_NETWORK]
                                  [--environment-file <HEAT ENVIRONMENT FILE>]
                                  [--environment-directory <HEAT ENVIRONMENT DIRECTORY>]
                                  [--roles-file ROLES_FILE]
                                  [--networks-file NETWORKS_FILE]
                                  [--plan-environment-file PLAN_ENVIRONMENT_FILE]
                                  [--no-cleanup] [--update-plan-only]
                                  [--validation-errors-nonfatal]
                                  [--validation-warnings-fatal]
                                  [--disable-validations] [--dry-run]
                                  [--run-validations] [--skip-postconfig]
                                  [--force-postconfig]
                                  [--skip-deploy-identifier] [--rhel-reg]
                                  [--reg-method {satellite,portal}]
                                  [--reg-org REG_ORG] [--reg-force]
                                  [--reg-sat-url REG_SAT_URL]
                                  [--reg-activation-key REG_ACTIVATION_KEY]
                                  [--answers-file ANSWERS_FILE]
                                  [--disable-password-generation]
                                  [--deployed-server] [--config-download]
                                  [--no-config-download]
                                  [--config-download-only]
                                  [--output-dir OUTPUT_DIR]
                                  [--override-ansible-cfg OVERRIDE_ANSIBLE_CFG]
                                  [--config-download-timeout CONFIG_DOWNLOAD_TIMEOUT]

Deploy Overcloud

optional arguments:
  --templates [TEMPLATES]
                        The directory containing the Heat templates to deploy
  --stack STACK         Stack name to create or update
  --timeout <TIMEOUT>, -t <TIMEOUT>
                        Deployment timeout in minutes.
  --control-scale CONTROL_SCALE
                        New number of control nodes. (DEPRECATED. Use an
                        environment file and set the parameter
                        ControllerCount. It will be removed after the "P"
                        release.)
  --compute-scale COMPUTE_SCALE
                        New number of compute nodes. (DEPRECATED. Use an
                        environment file and set the parameter ComputeCount.
                        It will be removed after the "P" release.)
  --ceph-storage-scale CEPH_STORAGE_SCALE
                        New number of ceph storage nodes. (DEPRECATED. Use an
                        environment file and set the parameter
                        CephStorageCount. It will be removed after the "P"
                        release.)
  --block-storage-scale BLOCK_STORAGE_SCALE
                        New number of cinder storage nodes. (DEPRECATED. Use
                        an environment file and set the parameter
                        BlockStorageCount. It will be removed after the "P"
                        release.)
  --swift-storage-scale SWIFT_STORAGE_SCALE
                        New number of swift storage nodes. (DEPRECATED. Use an
                        environment file and set the parameter
                        ObjectStorageCount. It will be removed after the "P"
                        release.)
  --control-flavor CONTROL_FLAVOR
                        Nova flavor to use for control nodes. (DEPRECATED. Use
                        an environment file and set the parameter
                        OvercloudControlFlavor. It will be removed after the
                        "P" release.)
  --compute-flavor COMPUTE_FLAVOR
                        Nova flavor to use for compute nodes. (DEPRECATED. Use
                        an environment file and set the parameter
                        OvercloudComputeFlavor. It will be removed after the
                        "P" release.)
  --ceph-storage-flavor CEPH_STORAGE_FLAVOR
                        Nova flavor to use for ceph storage nodes.
                        (DEPRECATED. Use an environment file and set the
                        parameter OvercloudCephStorageFlavor. It will be
                        removed after the "P" release.)
  --block-storage-flavor BLOCK_STORAGE_FLAVOR
                        Nova flavor to use for cinder storage nodes
                        (DEPRECATED. Use an environment file and set the
                        parameter OvercloudBlockStorageFlavor. It will be
                        removed after the "P" release.)
  --swift-storage-flavor SWIFT_STORAGE_FLAVOR
                        Nova flavor to use for swift storage nodes
                        (DEPRECATED. Use an environment file and set the
                        parameter OvercloudSwiftStorageFlavor. It will be
                        removed after the "P" release.)
  --libvirt-type {kvm,qemu}
                        Libvirt domain type.
  --ntp-server NTP_SERVER
                        The NTP for overcloud nodes.
  --no-proxy NO_PROXY   A comma separated list of hosts that should not be
                        proxied.
  --overcloud-ssh-user OVERCLOUD_SSH_USER
                        User for ssh access to overcloud nodes
  --overcloud-ssh-key OVERCLOUD_SSH_KEY
                        Key path for ssh access to overcloud nodes.
  --overcloud-ssh-network OVERCLOUD_SSH_NETWORK
                        Network name to use for ssh access to overcloud nodes.
  --environment-file <HEAT ENVIRONMENT FILE>, -e <HEAT ENVIRONMENT FILE>
                        Environment files to be passed to the heat stack-
                        create or heat stack-update command. (Can be specified
                        more than once.)
  --environment-directory <HEAT ENVIRONMENT DIRECTORY>
                        Environment file directories that are automatically
                        added to the heat stack-create or heat stack-update
                        commands. Can be specified more than once. Files in
                        directories are loaded in ascending sort order.
  --roles-file ROLES_FILE, -r ROLES_FILE
                        Roles file, overrides the default roles_data.yaml in
                        the --templates directory. May be an absolute path or
                        the path relative to --templates
  --networks-file NETWORKS_FILE, -n NETWORKS_FILE
                        Networks file, overrides the default network_data.yaml
                        in the --templates directory
  --plan-environment-file PLAN_ENVIRONMENT_FILE, -p PLAN_ENVIRONMENT_FILE
                        Plan Environment file, overrides the default plan-
                        environment.yaml in the --templates directory
  --no-cleanup          Don't cleanup temporary files, just log their location
  --update-plan-only    Only update the plan. Do not perform the actual
                        deployment. NOTE: Will move to a discrete command in a
                        future release.
  --validation-errors-nonfatal
                        Allow the deployment to continue in spite of
                        validation errors. Note that attempting deployment
                        while errors exist is likely to fail.
  --validation-warnings-fatal
                        Exit if there are warnings from the configuration pre-
                        checks.
  --disable-validations
                        DEPRECATED. Disable the pre-deployment validations
                        entirely. These validations are the built-in pre-
                        deployment validations. To enable external validations
                        from tripleo-validations, use the --run-validations
                        flag. These validations are now run via the external
                        validations in tripleo-validations.
  --dry-run             Only run validations, but do not apply any changes.
  --run-validations     Run external validations from the tripleo-validations
                        project.
  --skip-postconfig     Skip the overcloud post-deployment configuration.
  --force-postconfig    Force the overcloud post-deployment configuration.
  --skip-deploy-identifier
                        Skip generation of a unique identifier for the
                        DeployIdentifier parameter. The software configuration
                        deployment steps will only be triggered if there is an
                        actual change to the configuration. This option should
                        be used with Caution, and only if there is confidence
                        that the software configuration does not need to be
                        run, such as when scaling out certain roles.
  --answers-file ANSWERS_FILE
                        Path to a YAML file with arguments and parameters.
  --disable-password-generation
                        Disable password generation.
  --deployed-server     Use pre-provisioned overcloud nodes. Removes
                        baremetal,compute and image services requirements from
                        theundercloud node. Must only be used with the
                        --disable-validations.
  --config-download     Run deployment via config-download mechanism. This is
                        now the default, and this CLI options may be removed
                        in the future.
  --no-config-download, --stack-only
                        Disable the config-download workflow and only create
                        the stack and associated OpenStack resources. No
                        software configuration will be applied.
  --config-download-only
                        Disable the stack create/update, and only run the
                        config-download workflow to apply the software
                        configuration.
  --output-dir OUTPUT_DIR
                        Directory to use for saved output when using --config-
                        download. The directory must be writeable by the
                        mistral user. When not specified, the default server
                        side value will be used (/var/lib/mistral/<execution
                        id>.
  --override-ansible-cfg OVERRIDE_ANSIBLE_CFG
                        Path to ansible configuration file. The configuration
                        in the file will override any configuration used by
                        config-download by default.
  --config-download-timeout CONFIG_DOWNLOAD_TIMEOUT
                        Timeout (in minutes) to use for config-download steps.
                        If unset, will default to however much time is
                        leftover from the --timeout parameter after the stack
                        operation.

Registration Parameters:
  --rhel-reg            Register overcloud nodes to the customer portal or a
                        satellite.
  --reg-method {satellite,portal}
                        RHEL registration method to use for the overcloud
                        nodes.
  --reg-org REG_ORG     Organization key to use for registration.
  --reg-force           Register the system even if it is already registered.
  --reg-sat-url REG_SAT_URL
                        Satellite server to register overcloud nodes.
  --reg-activation-key REG_ACTIVATION_KEY
                        Activation key to use for registration.

Comment 1 Luke Short 2019-07-03 14:33:00 UTC
The referenced documentation is now in section "6.12. Deployment command options": https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/14/html/director_installation_and_usage/creating-a-basic-overcloud-with-cli-tools#deployment-command-options

The --overcloud-ssh-user is mentioned. I am not sure of what scope we want to tackle with this. I do not think that every argument should be documented as this is just duplicated from `openstack overcloud deploy --help`.


Note You need to log in before you can comment on or make changes to this bug.